AWS IoT Device SDK C++ v2: Aws::Iotjobs::DescribeJobExecutionSubscriptionRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotjobs::DescribeJobExecutionSubscriptionRequest Class Referencefinal

`#include <DescribeJobExecutionSubscriptionRequest.h>`

## Public Member Functions
| DescribeJobExecutionSubscriptionRequest ()=default
| DescribeJobExecutionSubscriptionRequest (const Crt::JsonView &doc)
DescribeJobExecutionSubscriptionRequest & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::String > | ThingName
Aws::Crt::Optional< Aws::Crt::String > | JobId

## Detailed Description

Data needed to subscribe to DescribeJobExecution responses.

## Constructor & Destructor Documentation

## ◆ DescribeJobExecutionSubscriptionRequest() [1/2]

Aws::Iotjobs::DescribeJobExecutionSubscriptionRequest::DescribeJobExecutionSubscriptionRequest | ( |  | ) |
| default

## ◆ DescribeJobExecutionSubscriptionRequest() [2/2]

Aws::Iotjobs::DescribeJobExecutionSubscriptionRequest::DescribeJobExecutionSubscriptionRequest | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

DescribeJobExecutionSubscriptionRequest & Aws::Iotjobs::DescribeJobExecutionSubscriptionRequest::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotjobs::DescribeJobExecutionSubscriptionRequest::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ JobId

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::DescribeJobExecutionSubscriptionRequest::JobId

Job ID that you want to subscribe to DescribeJobExecution response events for.

## ◆ ThingName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::DescribeJobExecutionSubscriptionRequest::ThingName

Name of the IoT Thing that you want to subscribe to DescribeJobExecution response events for.

The documentation for this class was generated from the following files:

- jobs/include/aws/iotjobs/DescribeJobExecutionSubscriptionRequest.h
- jobs/source/DescribeJobExecutionSubscriptionRequest.cpp